Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.addressing
Class AbstactAddressingHeadersFactory

    java.lang.Object
      org.codehaus.xfire.addressing.AbstactAddressingHeadersFactory

All Implemented Interfaces:
  AddressingHeadersFactory, WSAConstants

Direct Known Subclasses:
  AddressingHeadersFactory200408, AddressingHeadersFactory200502

    public abstract class AbstactAddressingHeadersFactory

extends java.lang.Object
implements WSAConstants, AddressingHeadersFactory

Field Summary

Fields inherited from interface org.codehaus.xfire.addressing.WSAConstants
`WSA_200408_ANONYMOUS_URI, WSA_ACTION, WSA_ACTION_QNAME, WSA_ADDRESS, WSA_ADDRESS_QNAME, WSA_ENDPOINT_NAME, WSA_ENDPOINT_NAME_QNAME, WSA_FAULT_TO, WSA_FAULT_TO_QNAME, WSA_FROM, WSA_FROM_QNAME, WSA_INTERFACE_NAME, WSA_INTERFACE_NAME_QNAME, WSA_MESSAGE_ID, WSA_MESSAGE_ID_QNAME, WSA_NAMESPACE, WSA_NAMESPACE_200408, WSA_NAMESPACE_200502, WSA_POLICIES, WSA_POLICIES_QNAME, WSA_PREFIX, WSA_REFERENCE_PARAMETERS, WSA_REFERENCE_PARAMETERS_QNAME, WSA_REFERENCE_PROPERTIES, WSA_REFERENCE_PROPERTIES_QNAME, WSA_RELATES_TO, WSA_RELATES_TO_QNAME, WSA_RELATIONSHIP_TYPE, WSA_RELATIONSHIP_TYPE_QNAME, WSA_REPLY_TO, WSA_REPLY_TO_QNAME, WSA_SERVICE_NAME, WSA_SERVICE_NAME_QNAME, WSA_TO, WSA_TO_QNAME`

Constructor Summary
`AbstactAddressingHeadersFactory()`

Method Summary
`protected static javax.xml.namespace.QName` | `elementToQName(org.codehaus.yom.Element el)`
`protected java.lang.String` | `getChildValue(org.codehaus.yom.Element element, java.lang.String localName, java.lang.String ns)`
`protected static java.lang.String` | `qnameToString(org.codehaus.yom.Element root, javax.xml.namespace.QName qname)`
`protected static javax.xml.namespace.QName` | `stringToQName(org.codehaus.yom.Element el, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.addressing.AddressingHeadersFactory
`createEPR, createHeaders, getAnonymousUri, hasHeaders, writeEPR, writeHeaders`

Constructor Detail

### AbstactAddressingHeadersFactory

    public AbstactAddressingHeadersFactory()

Method Detail

### getChildValue

    protected java.lang.String getChildValue(org.codehaus.yom.Element element,
                                             java.lang.String localName,
                                             java.lang.String ns)

### qnameToString

    protected static java.lang.String qnameToString(org.codehaus.yom.Element root,
                                                    javax.xml.namespace.QName qname)

### elementToQName

    protected static javax.xml.namespace.QName elementToQName(org.codehaus.yom.Element el)

### stringToQName

    protected static javax.xml.namespace.QName stringToQName(org.codehaus.yom.Element el,
                                                             java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.